Skip to main content
GET
/
applications
/
associated-people
List associated people
curl --request GET \
  --url https://api.equalsmoney.com/v2/applications/associated-people \
  --header 'Authorization: <api-key>'
{
  "limit": 200,
  "offset": 100,
  "count": 67,
  "rows": [
    {
      "id": "e9293471-5eb3-4dbc-916c-dbaf9e2deefd",
      "firstName": "John",
      "lastName": "Smith",
      "dateOfBirth": "1990-01-01",
      "emailAddress": "john.smith@example.com",
      "phoneNumber": "+447798121212",
      "nationalities": [
        "GB"
      ],
      "taxId": "123-45-678",
      "address": {
        "streetName": "Upper Thames Street",
        "buildingNumber": "68",
        "buildingName": "Vintners Place",
        "postcode": "EC4V 3BJ",
        "city": "London",
        "region": "Greater London",
        "countryCode": "GB"
      },
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Query Parameters

limit
integer
default:100

The maximum number of results to return.

Required range: 1 <= x <= 1000
Example:

200

offset
integer
default:0

The number of items to skip before returning results.

Example:

100

Search associated people by first name, last name, or email.

Example:

"John"

Response

200 - application/json

OK

count
integer
required

The total amount of records matching the querying when "limit" is ignored.

Example:

67

rows
object[]
required

List of associated people matching the query criteria.

limit
integer
default:100

The maximum number of results to return.

Required range: 1 <= x <= 1000
Example:

200

offset
integer
default:0

The number of items to skip before returning results.

Example:

100